[android-components](../../index.md) / [mozilla.components.service.fxa.manager](../index.md) / [AuthErrorObserver](./index.md)

# AuthErrorObserver

`interface AuthErrorObserver` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/manager/FxaAccountManager.kt#L71)

### Functions

| Name | Summary |
|---|---|
| [onAuthErrorAsync](on-auth-error-async.md) | `abstract fun onAuthErrorAsync(e: `[`AuthException`](../../mozilla.components.concept.sync/-auth-exception/index.md)`): Deferred<`[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`>` |
